# Send WhatsApp template message

## What are WhatsApp template messages?

{% hint style="info" %}
Ensure that your templates meet Facebook's  [Message Template Guidelines](https://developers.facebook.com/docs/whatsapp/message-templates/guidelines).&#x20;
{% endhint %}

Template messages are useful when you try to send the same type of message to a number of customers (notifications, remninders, etc.). You can also send them first to the customers even if you have never messaged the customer. And they don’t have the 24-hr reply window constraint as regular session messages do.

Below is an example to send a template message to a given WhatsApp number. Note the template has to be created and approved in your WhatsApp Manager, which is part of the [Facebook Business Manager](https://business.facebook.com/) before sending. You can also contact us if you need help to create one.

```bash
curl 
--request POST \
     --url https://api.connectly.ai/v1/businesses/<business_id>/send/whatsapp_templated_messages \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --header 'X-API-Key: <YOUR_KEY_HERE>' \
     --data '
{
     "parameters": [
          {
               "name": "body_1",
               "value": "value1"
          },
          {
               "name": "body_2",
               "value": "value2"
          }
     ],
     "number": "<WA_Number>",
     "templateName": "<Template_name>",
     "language": "en_US"
}'
```

For more information and detailed instructions, see [Send template message](/message-api/message-service-api/messageservice/send-template-message.md)

{% content-ref url="/pages/4ECSHgVNRCd3YFbFntg8" %}
[Message API](/message-api/message-service-api.md)
{% endcontent-ref %}

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.connectly.ai/quick-start/send-whatsapp-template-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
